@import './base.sass'

@media (min-width: 1024px)
  body
    display: flex
    place-items: center

  .home
    display: flex
    flex-direction: column
    align-items: flex-start
    justify-content: space-between
    background: var(--color-background-home)
    height: 100vh
    width: 100vw

  nav
    display: flex
    align-self: center
    font-family: var(--font-primary)
    font-style: normal
    font-weight: 500
    width: 100%
    font-size: 10pt
    align-items: center
    justify-content: space-around
    flex-direction: row

    a:hover
      cursor: pointer
      text-decoration-line: underline

  .logo
    margin-top: 16px
    height: 90px
    width: 240px
    border-color: #000
    border-style: solid
    border-width: 1px
    border-left: none
    border-radius: 0px 8px 8px 0px
    padding-top: 16px
    padding-bottom: 16px
    padding-left: 37px
    z-index: 30
    /* From https://css.glass */
    background: rgba(255, 255, 255, 0.25)
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1)
    backdrop-filter: blur(3px)
    -webkit-backdrop-filter: blur(3px)
    -moz-backdrop-filter: blur(3px)

  .nav-ribbon
    position: absolute
    user-select: none
    display: flex
    flex-direction: row
    align-items: baseline
    justify-content: center
    height: 50px
    width: 300px
    border-radius: 8px
    background-color: var(--color-background-navribbon)
    border-style: solid
    border-color: var(--color-border)
    border-width: 1px
    box-shadow: 6px 6px 8px 3px var(--color-box-shadow)
    top: 34px
    right: 50px
    z-index: 30

  .drag
    cursor: grab
    align-self: flex-start
    display: flex
    flex-direction: row
    align-items: center
    justify-content: space-around
    z-index: 10
    background-color: var(--color-background-navribbon)
    color: var(--sl-c-black)
    width: 25px
    height: 100%
    border-right-color: var(--color-border)
    border-right-style: solid
    border-right-width: 1px
    border-bottom-left-radius: 8px
    border-top-left-radius: 8px
    padding-left: 10px
    padding-right: 10px

  .hero-header
    padding-left: 95px
    h1
      user-select: none
      font-family: var(--font-secondary)
      font-style: normal
      font-weight: 700
      font-size: 47px
      line-height: 55px

  .footer
    margin-bottom: 40px

    display: flex
    flex-direction: row
    width: 100%
    align-items: flex-start

    padding-left: 95px

    column-gap: 70px

  .footer-column
    display: flex
    flex-direction: column
    align-items: flex-start
    justify-content: space-between

    z-index: 12

    font-family: "Inter"
    font-style: normal
    font-weight: 600
    font-size: 16px
    line-height: 19px

  .footer-logos
    display: flex
    flex-direction: row
    width: 100%
    justify-content: space-between

    img
      width: 26px
      height: auto
